AGblade = {}
AGblade.Create = {}
AGblade.Init = {}
function AGblade.Create.bladerBig(vehicle, part)
	part = vehicle:getPartById("AGheliblade")
    part:setModelVisible("AGblade1", false)
	part:setModelVisible("AGblade2", false)
    part:setModelVisible("AGblade3", false)
    part:setModelVisible("AGblade4", false)
    part:setModelVisible("AGblade5", false)
    part:setModelVisible("AGblade6", false)
    part:setModelVisible("AGblade7", false)
    part:setModelVisible("AGblade8", false)

    part:setModelVisible("AGblade" .. ZombRand(1, 9), true)
end

function AGblade.Init.bladerBig(vehicle, part)
	part = vehicle:getPartById("AGheliblade")
    part:setModelVisible("AGblade1", false)
	part:setModelVisible("AGblade2", false)
    part:setModelVisible("AGblade3", false)
    part:setModelVisible("AGblade4", false)
    part:setModelVisible("AGblade5", false)
    part:setModelVisible("AGblade6", false)
    part:setModelVisible("AGblade7", false)
    part:setModelVisible("AGblade8", false)

    part:setModelVisible("AGblade" .. ZombRand(1, 9), true)

    if vehicle:isEngineRunning() then
        AGLAST_HELI = vehicle
    end
end

function AGblade.Create.bladerSmall(vehicle, part)
	part = vehicle:getPartById("AGhelibladeSmall")
    part:setModelVisible("AGblade1Small", false)
	part:setModelVisible("AGblade2Small", false)
    part:setModelVisible("AGblade3Small", false)
    part:setModelVisible("AGblade4Small", false)

    part:setModelVisible("AGblade" .. ZombRand(1, 5) .. "Small", true)
end

function AGblade.Init.bladerSmall(vehicle, part)
	part = vehicle:getPartById("AGhelibladeSmall")
    part:setModelVisible("AGblade1Small", false)
	part:setModelVisible("AGblade2Small", false)
    part:setModelVisible("AGblade3Small", false)
    part:setModelVisible("AGblade4Small", false)

    part:setModelVisible("AGblade" .. ZombRand(1, 5) .. "Small", true)
end